package intrinsic.flash.events;

public class KeyboardEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public int charCode;
	public int keyCode;
	public boolean shiftKey;
	public boolean ctrlKey;
	public boolean altKey;
	public int keyLocation;

	/** Variables */

	/** Constants */
	public static final String KEY_DOWN = "key_down";
	public static final String KEY_UP = "key_up";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public KeyboardEvent() {
}

public KeyboardEvent(String arg0) {
}

public KeyboardEvent(String arg0, boolean arg1) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, boolean arg6) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, boolean arg6, boolean arg7) {
}

public KeyboardEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4, int arg5, boolean arg6, boolean arg7, boolean arg8) {
}


/** Static Methods */

/** Methods */
public native void updateAfterEvent();
public native String toString();
public native Object clone();

}
